View Issue Details

IDProjectCategoryLast Update
0021426AI War 2[All Projects] SuggestionJun 5, 2020 12:48 pm
ReporterZoreissAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.876 Counterattacks Ate My Waves 
Fixed in Version 
Summary0021426: Have transport fleet masterpiece behave like it had weapons
DescriptionIt would be nice to make the transports ships behave like all the other ships in the fleet so that when you do a fleet-wide command of attack moving the transport ship does not simply move to the spot and aggro all the guardposts. It would be nice if the transport would simply stop when encountering hostile ship in attack-move or when ships of its fleet are outside fighting in the same planetary system.
TagsNo tags attached.

Relationships

related to 0021406 resolvedx4000Bughunter Transport ship changes seem to work fine, but... 

Activities

x4000Bughunter

Jul 30, 2019 12:34 pm

administrator   ~0052346

There's no good way to do this aside from actually having it have weapons, that I can think of. What range should it stop at? How does it know what its range is to stop at?

We could get into duplicating a huge amount of the movement and targeting logic, to have the same problems we used to have, really. And it seems like a lot of times we're now wanting to give attack orders to a transport, but have it not actually go anywhere -- it's just sending its ships to a place.

So... all right, thinking about this a bit of a different way...

I guess we could have some logic in there that says "if a transport is in attack move mode, and anything in the fleet is stopping temporarily because of attack move mode, then stop the transport." That would probably solve this direct problem without introducing too many new ones or being all that complicated. I'm mainly putting this to feedback to see if I'm overlooking any other cases.

Issue History

Date Modified Username Field Change
Jul 27, 2019 12:05 pm Zoreiss New Issue
Jul 27, 2019 1:24 pm wm46 Relationship added related to 0021406
Jul 30, 2019 12:34 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 30, 2019 12:34 pm x4000Bughunter Status new => feedback
Jul 30, 2019 12:34 pm x4000Bughunter Note Added: 0052346
Jun 5, 2020 12:48 pm x4000Bughunter Status feedback => resolved
Jun 5, 2020 12:48 pm x4000Bughunter Resolution open => fixed